package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SysCouponDetail;
import cn.wise.sc.consume.business.entity.SysUser;
import cn.wise.sc.consume.business.entity.SysUserCoupon;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-27
 */
public interface SysUserMapper extends BaseMapper<SysUser> {

	@Select("select login_lable.* from sys_user login_lable where login_lable.username = #{username}")
	SysUser getUser(String username);

	List<SysUserCoupon> getByDetailId(@Param("detailId") Long detailId);

}
